Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.ejb
Interface AllowedOperationsFlags

All Known Subinterfaces:
  ContainerPlugin, EJBProxyFactory, EntityCache, EntityPersistenceManager, EntityPersistenceStore, InstanceCache, InstancePool, Interceptor, JDBCEntityPersistenceStore, LocalContainerInvoker, LocalProxyFactory, StatefulSessionPersistenceManager

All Known Implementing Classes:
  AbstractInstanceCache, AbstractInstancePool, AbstractInterceptor, AllowedOperationsAssociation, BaseLocalProxyFactory, BMPPersistenceManager, CMPFilePersistenceManager, CMPInMemoryPersistenceManager, CMPPersistenceManager, Container, Container.AbstractContainerInterceptor, EnterpriseContext, EntityInstanceCache, JBossMessageEndpointFactory, JDBCStoreManager, JDBCStoreManager2, JMSContainerInvoker, PerTxEntityInstanceCache, ProxyFactory, SingletonStatelessSessionInstancePool, StatefulSessionFilePersistenceManager

public interface AllowedOperationsFlags

Constants used by the AllowedOperationsAssociation According to the EJB2.1 spec not all context methods can be accessed at all times For example ctx.getPrimaryKey() should throw an IllegalStateException when called from within ejbCreate()

Version:
  $Revision: 1.1 $
Author:
  Thomas.Diesler@jboss.org

Field Summary
`static int` | `IN_AFTER_BEGIN`
`static int` | `IN_AFTER_COMPLETION`
`static int` | `IN_BEFORE_COMPLETION`
`static int` | `IN_BUSINESS_METHOD`
`static int` | `IN_EJB_ACTIVATE`
`static int` | `IN_EJB_CREATE`
`static int` | `IN_EJB_FIND`
`static int` | `IN_EJB_HOME`
`static int` | `IN_EJB_LOAD`
`static int` | `IN_EJB_PASSIVATE`
`static int` | `IN_EJB_POST_CREATE`
`static int` | `IN_EJB_REMOVE`
`static int` | `IN_EJB_STORE`
`static int` | `IN_EJB_TIMEOUT`
`static int` | `IN_INTERCEPTOR_METHOD`
`static int` | `IN_SERVICE_ENDPOINT_METHOD`
`static int` | `IN_SET_ENTITY_CONTEXT`
`static int` | `IN_SET_MESSAGE_DRIVEN_CONTEXT`
`static int` | `IN_SET_SESSION_CONTEXT`
`static int` | `IN_UNSET_ENTITY_CONTEXT`
`static int` | `NOT_ALLOWED` These constants are used to validate method access

Field Detail

### NOT_ALLOWED

    public static final int NOT_ALLOWED

  These constants are used to validate method access

  See Also:
    Constant Field Values

### IN_INTERCEPTOR_METHOD

    public static final int IN_INTERCEPTOR_METHOD

### IN_EJB_ACTIVATE

    public static final int IN_EJB_ACTIVATE

### IN_EJB_PASSIVATE

    public static final int IN_EJB_PASSIVATE

### IN_EJB_REMOVE

    public static final int IN_EJB_REMOVE

### IN_EJB_CREATE

    public static final int IN_EJB_CREATE

### IN_EJB_POST_CREATE

    public static final int IN_EJB_POST_CREATE

### IN_EJB_FIND

    public static final int IN_EJB_FIND

### IN_EJB_HOME

    public static final int IN_EJB_HOME

### IN_EJB_TIMEOUT

    public static final int IN_EJB_TIMEOUT

### IN_EJB_LOAD

    public static final int IN_EJB_LOAD

### IN_EJB_STORE

    public static final int IN_EJB_STORE

### IN_SET_ENTITY_CONTEXT

    public static final int IN_SET_ENTITY_CONTEXT

### IN_UNSET_ENTITY_CONTEXT

    public static final int IN_UNSET_ENTITY_CONTEXT

### IN_SET_SESSION_CONTEXT

    public static final int IN_SET_SESSION_CONTEXT

### IN_SET_MESSAGE_DRIVEN_CONTEXT

    public static final int IN_SET_MESSAGE_DRIVEN_CONTEXT

### IN_AFTER_BEGIN

    public static final int IN_AFTER_BEGIN

### IN_BEFORE_COMPLETION

    public static final int IN_BEFORE_COMPLETION

### IN_AFTER_COMPLETION

    public static final int IN_AFTER_COMPLETION

### IN_BUSINESS_METHOD

    public static final int IN_BUSINESS_METHOD

### IN_SERVICE_ENDPOINT_METHOD

    public static final int IN_SERVICE_ENDPOINT_METHOD

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.